org.apidesign.vm4brwsr

## Enum ObfuscationLevel

- java.lang.Object
- - java.lang.Enum<ObfuscationLevel>
  - - org.apidesign.vm4brwsr.ObfuscationLevel

- All Implemented Interfaces:
    Serializable, Comparable<ObfuscationLevel>

      public enum ObfuscationLevel
      extends Enum<ObfuscationLevel>

  Defines obfuscation level of produced JavaScript files.
  Since:
    0.5

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FULL` Aggressive obfuscation of everything.
    `MINIMAL` White spaces are removed.
    `NONE` Generated JavaScript is (sort of) human readable.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ObfuscationLevel` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ObfuscationLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final ObfuscationLevel NONE

      Generated JavaScript is (sort of) human readable. Useful for debugging. Dynamic capabilities of the virtual machine work on all classes.

    - #### MINIMAL

          public static final ObfuscationLevel MINIMAL

      White spaces are removed. Names of external symbols remain unchanged. Dynamic capabilities of the virtual machine work on all classes.

    - #### FULL

          public static final ObfuscationLevel FULL

      Aggressive obfuscation of everything. Compact, unreadable "one-liner". One cannot load classes dynamically. Useful mostly for static compilation of self contained application.

  - ### Method Detail

    - #### values

          public static ObfuscationLevel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ObfuscationLevel c : ObfuscationLevel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ObfuscationLevel valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2025 API Design. All Rights Reserved.